
Redmine - Feature #13844

Option to enable HTML emails for issue creation.

2013-04-23 01:27 - Davin Benfield

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

We are using redmine for a Project management, help desk and a wiki application. For this we have intergrated the CKEditor so we

can use rich text in our wikis and issues. This works perfectly with the exception that when issues are created by email. Due to the

behavior of removing all HTML tags from the email we get a single block of text encapsulated in a single paragraph tag.

I'd like to have the option to properly read and import the html tags from the email as well.

Thank you for your fantastic project.

Related issues:

Related to Redmine - Feature #16962: Better handle html-only emails Closed

History

#1 - 2013-06-19 17:59 - Diego Fernández

+1

#2 - 2013-12-13 17:02 - Tony Ordner

+1 This would be fantastic.

#3 - 2014-03-26 12:57 - Anonymous

+1

#4 - 2015-03-23 11:16 - Peter Hobor

+1

#5 - 2015-04-10 20:14 - Aaron Milligan

This is definitely an issue for our implementation. We have most users submitting tickets by email, and any links are stripped out.

#6 - 2016-06-27 15:46 - George Rizescu

+1

#7 - 2019-02-19 03:10 - Go MAEDA

- Related to Feature #16962: Better handle html-only emails added

#8 - 2019-02-19 03:14 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Redmine 3.1.0 and later parse HTML emails more correctly. Instead of simply removing tags, it converts some HTML tags to Textile/Markdown.

Please see #16962 for details.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/issues/16962
http://www.tcpdf.org

